Create holiday calendar

Creates a new holiday calendar with associated holidays.

This endpoint does not generate an event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create holiday calendar request body

string
required
length between 1 and 80

Holiday calendar name. Must be unique per organization.

string
required
length between 1 and 15

Type, free-form field. For example, Country or Region.

string
length between 1 and 36

Client-created external ID

holidays
array of objects

Holidays array

holidays
metadata
object

A valid JSON schema as specified in https://json-schema.org/specification.html. Used to register rules used to authorize the transaction.

string
length between 1 and 36

Client-created external ID for parent calendar. Refer to parent_id parameter for more information.

integer
≥ 1

Calendar parent ID.

Holiday calendars can have parent-child relationships, creating a hierarchy. Child calendars inherit holidays from their parent calendars.

Common use case: Country → State → City hierarchy

Example:

  • Brazil (parent)
    • São Paulo (child of Brazil)
      • Campinas (child of São Paulo)

When you query holidays for Campinas, you automatically get:

  • Campinas city holidays
  • São Paulo state holidays
  • Brazil national holidays

You can reference the parent calendar using either:

  • parent_id: The internal parent calendar ID
  • parent_external_id: The parent calendar external_id
working_days
array of integers

Working days array

1 = Monday, 6 = Saturday. Default = [1, 2, 3, 4, 5].

working_days
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json